Summary:        Python Binding for xxHash
Name:           python-xxhash
Version:        3.3.0
Release:        2%{?dist}
License:        BSD-2-Clause
URL:            https://github.com/ifduyue/python-xxhash
Source0:        %{pypi_source xxhash}

BuildRequires:  python3-devel gcc pkgconfig(libxxhash)

%description
xxhash is a Python binding for the xxHash library by Yann Collet.

%package -n python3-xxhash
Summary:        Python Binding for xxHash

%description -n python3-xxhash
xxhash is a Python binding for the xxHash library by Yann Collet.

%prep
%autosetup -n xxhash-%{version}
rm -rvf deps

%generate_buildrequires
%pyproject_buildrequires

%build
export CFLAGS="${CFLAGS} $(pkgconf --cflags libxxhash)"
export LDFLAGS="${LDFLAGS} $(pkgconf --libs-only-L libxxhash)"
export LDFLAGS="${LDFLAGS} $(pkgconf --libs-only-other libxxhash)"
export XXHASH_LINK_SO='1'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xxhash

%check
cd tests
PYTHONPATH='%{buildroot}%{python3_sitearch}' %{python3} -m unittest discover

%files -n python3-xxhash -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 3.3.0-1
- update to 3.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Shuo Wang <abushwang@tencent.com> - 3.2.0-1
- initial build
